Package org.pushingpixels.substance.internal.utils

# Class PerlinNoiseGenerator

java.lang.Object
org.pushingpixels.substance.internal.utils.PerlinNoiseGenerator

public class PerlinNoiseGenerator extends Object
A class for producing Perlin-inspired noise. The code written by Ken Perlin.

## Constructor Summary

Constructors
Constructor
Description
`PerlinNoiseGenerator()`

## Method Summary

Modifier and Type
Method
Description
`static double`
`noise(double x, double y, double z)`
Returns noise for the specified coordinates.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PerlinNoiseGenerator

public PerlinNoiseGenerator()

## Method Details

### noise

public static double noise(double x, double y, double z)
Returns noise for the specified coordinates.

Parameters:
  `x` - X coordinate.
  `y` - Y coordinate.
  `z` - Z coordinate.
Returns:
  Noise for the specified coordinates.